<?php

namespace App\Providers;

use App\Services\PaymentGatewayConfigService;
use Illuminate\Pagination\Paginator;
use Illuminate\Support\ServiceProvider;

class AppServiceProvider extends ServiceProvider
{
    /**
     * Register any application services.
     */
    public function register(): void
    {
        //
    }

    /**
     * Bootstrap any application services.
     */
    public function boot(PaymentGatewayConfigService $paymentGatewayConfigService): void
    {
        Paginator::useBootstrapFive();
        $paymentGatewayConfigService->applyRuntimeOverrides();
    }
}
